Built LMS Help Center
API Reference and PlaygroundCourses and CatalogCourses

GET Get course details

Retrieve one course with its category and enrollment statistics

GET
/courses/{id}

Retrieve one course with its category and enrollment statistics

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Course UUID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/courses/{id}"
{  "data": {    "id": "{id}",    "title": "string",    "slug": "string",    "description": "string",    "category": {      "id": "{id}",      "name": "string"    },    "difficulty": "beginner",    "duration_minutes": 0,    "thumbnail_url": "string",    "status": "draft",    "statistics": {      "enrollment_count": 0,      "completion_rate": 0    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}